<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>a
: <a class="el" href="class_filter_nth_order.html#a976abb9701bb6d5396da81fe5e179d6f">FilterNthOrder</a>
</li>
<li>a_Q
: <a class="el" href="class_d_d_o_b___controller.html#a00ad5dd7d371d70b727688e066f177ef">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#a00ad5dd7d371d70b727688e066f177ef">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a00ad5dd7d371d70b727688e066f177ef">DOB_OL_Controller</a>
</li>
<li>a_QPn
: <a class="el" href="class_d_d_o_b___controller.html#aaa36d8d111764f8ec62bfb0f7b3dbf70">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#aaa36d8d111764f8ec62bfb0f7b3dbf70">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#aaa36d8d111764f8ec62bfb0f7b3dbf70">DOB_OL_Controller</a>
</li>
<li>af
: <a class="el" href="class_p_i_d___controller__with___a_f.html#a7ddae0da599383c474798e0cd9bd1146">PID_Controller_with_AF</a>
</li>
<li>alfa
: <a class="el" href="class_filter_nth_order.html#a6a8a8fb383e538f13c18b1d67d5a1866">FilterNthOrder</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>b
: <a class="el" href="class_filter_nth_order.html#a220828b6de658f0620819ef56f6f2d06">FilterNthOrder</a>
</li>
<li>b_Q
: <a class="el" href="class_d_d_o_b___controller.html#a6199bed12f23f73ca1efd08cefb153ee">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#a6199bed12f23f73ca1efd08cefb153ee">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a6199bed12f23f73ca1efd08cefb153ee">DOB_OL_Controller</a>
</li>
<li>b_QPn
: <a class="el" href="class_d_d_o_b___controller.html#ab6928c51fe64ae3405d6159a0531650c">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#ab6928c51fe64ae3405d6159a0531650c">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#ab6928c51fe64ae3405d6159a0531650c">DOB_OL_Controller</a>
</li>
<li>beta
: <a class="el" href="class_filter_nth_order.html#a3932bb55c8795c0fb22865d905dc8b37">FilterNthOrder</a>
</li>
<li>beta_hat
: <a class="el" href="class_filter_nth_order.html#a2de61d09c770a0adba4e36497effec4f">FilterNthOrder</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>config_name
: <a class="el" href="class_parameters.html#aabd89270bd3e995475bc1a02cf7b14d6">Parameters</a>
</li>
<li>control_loop_count
: <a class="el" href="class_i_controller.html#a0b426d363873b67b372a2849b84fd168">IController</a>
</li>
<li>control_loop_max
: <a class="el" href="class_i_controller.html#a9593765ae9066406e2e4a852b31c2779">IController</a>
</li>
<li>controller
: <a class="el" href="class_simulation.html#aec49e8cbd9fb1bcb9d695f7ab283bd95">Simulation</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>ddtheta_m
: <a class="el" href="class_p_i_d___controller__transparency.html#aca4f6afc6b835b0ea1a4e3aef13254a2">PID_Controller_transparency</a>
</li>
<li>deb1
: <a class="el" href="class_pos_gen___controller.html#a87366ab5a46b2d25a6e8c903a5ddf122">PosGen_Controller</a>
, <a class="el" href="class_vel_gen___controller.html#a87366ab5a46b2d25a6e8c903a5ddf122">VelGen_Controller</a>
</li>
<li>deb2
: <a class="el" href="class_pos_gen___controller.html#ae9e0e714f3afc83a1f2835c93703e100">PosGen_Controller</a>
, <a class="el" href="class_vel_gen___controller.html#ae9e0e714f3afc83a1f2835c93703e100">VelGen_Controller</a>
</li>
<li>deb3
: <a class="el" href="class_pos_gen___controller.html#a1097f115567c18cd55f33ee1ecc5e127">PosGen_Controller</a>
, <a class="el" href="class_vel_gen___controller.html#a1097f115567c18cd55f33ee1ecc5e127">VelGen_Controller</a>
</li>
<li>debi
: <a class="el" href="class_pos_gen___controller.html#a8fa5727b94b0936111f16661976c4a3e">PosGen_Controller</a>
, <a class="el" href="class_vel_gen___controller.html#a8fa5727b94b0936111f16661976c4a3e">VelGen_Controller</a>
</li>
<li>debt
: <a class="el" href="class_pos_gen___controller.html#a05939da5b4749f2d52fc2e4aeaa5079e">PosGen_Controller</a>
, <a class="el" href="class_vel_gen___controller.html#a05939da5b4749f2d52fc2e4aeaa5079e">VelGen_Controller</a>
</li>
<li>debug1
: <a class="el" href="class_i_controller.html#afaa1f8279f05b2c01704413b91ea23d8">IController</a>
</li>
<li>debug2
: <a class="el" href="class_i_controller.html#adfc40a1e446bb64c4e9c4f6216641901">IController</a>
</li>
<li>debug3
: <a class="el" href="class_i_controller.html#a02f4bee6bbeef8bd446032b0c685cb63">IController</a>
</li>
<li>dq_e
: <a class="el" href="class_current_transparency.html#a98bacc4adc10947e6619d1efe82f2f3d">CurrentTransparency</a>
</li>
<li>dtau_s
: <a class="el" href="class_i_model.html#a1ed54a08b678a16dd4a58495ce401da0">IModel</a>
</li>
<li>dtheta_m
: <a class="el" href="class_p_i_d___controller__transparency.html#a24b6cbb7d9f83f26f5c6283bb6097164">PID_Controller_transparency</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>enable_output
: <a class="el" href="class_p_i_d___controller__transparency.html#af1b5e3ea4431806d967ba1e00325b698">PID_Controller_transparency</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FF
: <a class="el" href="class_d_d_o_b___controller.html#acda23b2312e09549afea65e656815787">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#acda23b2312e09549afea65e656815787">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#acda23b2312e09549afea65e656815787">DOB_OL_Controller</a>
</li>
<li>filterQ
: <a class="el" href="class_d_d_o_b___controller.html#ac11e94c64cac31d340757f6b8c2fd6b7">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#ac11e94c64cac31d340757f6b8c2fd6b7">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#ac11e94c64cac31d340757f6b8c2fd6b7">DOB_OL_Controller</a>
</li>
<li>filterQPn
: <a class="el" href="class_d_d_o_b___controller.html#a7cf8afe8703026b4306b37892c382183">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#a7cf8afe8703026b4306b37892c382183">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a7cf8afe8703026b4306b37892c382183">DOB_OL_Controller</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>h
: <a class="el" href="class_filter_nth_order.html#a277ff8710aaaa8ab152393f99ad311d1">FilterNthOrder</a>
</li>
<li>h_control
: <a class="el" href="class_parameters.html#aee78dfd04bb1abd60c60c46334ce54de">Parameters</a>
</li>
<li>h_physics
: <a class="el" href="class_parameters.html#a447a833e9e05c9edddfee30c624f2b06">Parameters</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>index
: <a class="el" href="class_simulation.html#aabb988f4130c0cd8acb9c0457d6e4c4a">Simulation</a>
</li>
<li>integrative_error
: <a class="el" href="class_p_i_d___controller.html#a9a3c8ba3de0e3da9e4e895b3ec12f15a">PID_Controller</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#a9a3c8ba3de0e3da9e4e895b3ec12f15a">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#a9a3c8ba3de0e3da9e4e895b3ec12f15a">PID_Controller_with_AF</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>kd
: <a class="el" href="class_d_d_o_b___controller.html#a16962c9a52053291f6e09374dc49af54">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#a16962c9a52053291f6e09374dc49af54">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a16962c9a52053291f6e09374dc49af54">DOB_OL_Controller</a>
, <a class="el" href="class_p_i_d___controller.html#a16962c9a52053291f6e09374dc49af54">PID_Controller</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#a16962c9a52053291f6e09374dc49af54">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#a16962c9a52053291f6e09374dc49af54">PID_Controller_with_AF</a>
</li>
<li>ki
: <a class="el" href="class_p_i_d___controller.html#a1fd5ef7057c3b988125c10fa4c9b613c">PID_Controller</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#a1fd5ef7057c3b988125c10fa4c9b613c">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#a1fd5ef7057c3b988125c10fa4c9b613c">PID_Controller_with_AF</a>
</li>
<li>kp
: <a class="el" href="class_d_d_o_b___controller.html#aea16e677b2e2917cb9c325d8a924a519">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#aea16e677b2e2917cb9c325d8a924a519">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#aea16e677b2e2917cb9c325d8a924a519">DOB_OL_Controller</a>
, <a class="el" href="class_p_i_d___controller.html#aea16e677b2e2917cb9c325d8a924a519">PID_Controller</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#aea16e677b2e2917cb9c325d8a924a519">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#aea16e677b2e2917cb9c325d8a924a519">PID_Controller_with_AF</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>model
: <a class="el" href="class_simulation.html#a8d1688130e3ba08f8b993d532cb81606">Simulation</a>
</li>
<li>motor
: <a class="el" href="class_parameters.html#a481937ec68310913213b38c22b89fcd2">Parameters</a>
</li>
<li>motor_controller
: <a class="el" href="class_parameters.html#a4ac7237569c22cdae1763e84f2d5284b">Parameters</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="class_i_controller.html#a73d044705182dce0379a1c211dca6ec6">IController</a>
</li>
<li>num_inputs
: <a class="el" href="class_i_model.html#a959b7a7a9b3913fe70bb9c1f1106ab75">IModel</a>
</li>
<li>num_outputs
: <a class="el" href="class_i_model.html#a6a2299a4bd1517f715b45feefc99510a">IModel</a>
</li>
<li>num_states
: <a class="el" href="class_i_model.html#ac08e733eaa9bb7139d963f595fcc0a0e">IModel</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>order
: <a class="el" href="class_filter_nth_order.html#a9ddb604722242ab3794a2c03878a7a62">FilterNthOrder</a>
</li>
<li>order_Q
: <a class="el" href="class_d_d_o_b___controller.html#a94399a26b1c3be29e1308dcd3a2f10c3">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#a94399a26b1c3be29e1308dcd3a2f10c3">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a94399a26b1c3be29e1308dcd3a2f10c3">DOB_OL_Controller</a>
</li>
<li>order_QPn
: <a class="el" href="class_d_d_o_b___controller.html#a29c82e01184eb3cda224ddf58e4e1278">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#a29c82e01184eb3cda224ddf58e4e1278">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a29c82e01184eb3cda224ddf58e4e1278">DOB_OL_Controller</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>parameters
: <a class="el" href="class_d_d_o_b___controller.html#ad32d252f7191c6648af6439823778fb1">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___c_l___controller.html#ad32d252f7191c6648af6439823778fb1">DOB_CL_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#ad32d252f7191c6648af6439823778fb1">DOB_OL_Controller</a>
</li>
<li>params
: <a class="el" href="class_simulation.html#a2d2596222dbfa444e8e36661ec5a2c9d">Simulation</a>
</li>
<li>prec_q_e
: <a class="el" href="class_current_transparency.html#a133224645ea8352e1ec104358d64fbb9">CurrentTransparency</a>
</li>
<li>prev_d_hat
: <a class="el" href="class_d_o_b___c_l___controller.html#ace35f181622b55c7825c985234e146fe">DOB_CL_Controller</a>
</li>
<li>prev_dtheta_m
: <a class="el" href="class_p_i_d___controller__transparency.html#aba8078828bc49532b01eb37087c22ff1">PID_Controller_transparency</a>
, <a class="el" href="class_p_i_d___controller__with___a_f.html#aba8078828bc49532b01eb37087c22ff1">PID_Controller_with_AF</a>
</li>
<li>prev_rd
: <a class="el" href="class_d_o_b___c_l___controller.html#a29ad8564c44ba9a04a99ae354124533b">DOB_CL_Controller</a>
</li>
<li>prev_ref
: <a class="el" href="class_i_controller.html#a0c689c7a2b1d359f66e49e052a14d72b">IController</a>
</li>
<li>prev_t
: <a class="el" href="class_i_controller.html#ae2ba270a4e88ddc59d27147482ca53ec">IController</a>
</li>
<li>prev_U
: <a class="el" href="class_i_controller.html#a5072e5230b85a931dc13ab3e5e885154">IController</a>
</li>
<li>prev_Ud
: <a class="el" href="class_d_d_o_b___controller.html#a8fcefd6de90bb828df27e0cd76562ecb">DDOB_Controller</a>
, <a class="el" href="class_d_o_b___o_l___controller.html#a8fcefd6de90bb828df27e0cd76562ecb">DOB_OL_Controller</a>
</li>
<li>prev_update_t
: <a class="el" href="class_whitney.html#ae9e8be7ff4c9e8afeb944400b0d65f1b">Whitney</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>q_e
: <a class="el" href="class_current_transparency.html#a47ca386084966712652f79ae965f3083">CurrentTransparency</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>ref
: <a class="el" href="class_i_controller.html#ae2b0415b572e4308dc810ad1306534af">IController</a>
, <a class="el" href="class_simulation.html#ae2b0415b572e4308dc810ad1306534af">Simulation</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>serialDate
: <a class="el" href="class_date_time.html#ab20dd2e5eacfbe64ae55f960ce949fa1">DateTime</a>
</li>
<li>sim_model_name
: <a class="el" href="class_simulation.html#ac57ff178b11981a1e8ee1d9a535fdd0e">Simulation</a>
</li>
<li>simulation_output_dir
: <a class="el" href="class_parameters.html#af3799ba2c0a6560de0749efa0427052e">Parameters</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>tau
: <a class="el" href="class_i_controller.html#a35c88496fe3060ff4b9c67b1c5f1ff0f">IController</a>
</li>
<li>tau_m
: <a class="el" href="class_p_i_d___controller__transparency.html#aeb4782a992d3128eba3d6d5da9e5f49b">PID_Controller_transparency</a>
</li>
<li>tau_s
: <a class="el" href="class_i_model.html#a56d7ab917ef265bf43aa37472355dcb1">IModel</a>
, <a class="el" href="class_p_i_d___controller__transparency.html#a56d7ab917ef265bf43aa37472355dcb1">PID_Controller_transparency</a>
</li>
<li>theta_e
: <a class="el" href="class_p_i_d___controller__transparency.html#ab7bf6bba4e3b5cab87ece4a131f2736e">PID_Controller_transparency</a>
</li>
<li>theta_m
: <a class="el" href="class_p_i_d___controller__transparency.html#a6de65ea280a681db287ddae0715415cb">PID_Controller_transparency</a>
</li>
<li>time
: <a class="el" href="class_i_controller.html#a9a5dcf2fcad7bf3ac86d488d1b924363">IController</a>
</li>
<li>tracking
: <a class="el" href="class_parameters.html#a182f4909a999dec0479fac3b0b21f5db">Parameters</a>
</li>
<li>transparency
: <a class="el" href="class_parameters.html#a4801ead0cfada9df307f589e57c65cd8">Parameters</a>
</li>
<li>type
: <a class="el" href="class_i_model.html#a592dff204bc2adeafa81d1af5d8c09cc">IModel</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>U
: <a class="el" href="class_current.html#ad1292318ebc95cbf115086e902c8e60a">Current</a>
, <a class="el" href="class_current_transparency.html#ad1292318ebc95cbf115086e902c8e60a">CurrentTransparency</a>
, <a class="el" href="class_voltage.html#ad1292318ebc95cbf115086e902c8e60a">Voltage</a>
, <a class="el" href="class_whitney.html#ad1292318ebc95cbf115086e902c8e60a">Whitney</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>X
: <a class="el" href="class_filter_nth_order.html#a28bce142b528e5cfa3fc66ff218d8d44">FilterNthOrder</a>
</li>
<li>X_old
: <a class="el" href="class_filter_nth_order.html#aab69bbbb85237396d7963a709705c4f5">FilterNthOrder</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
